stralloc_copyb(3)

NAME
stralloc_copyb - copy data into a stralloc

SYNTAX
#include <libowfat/stralloc.h>

int stralloc_copyb(stralloc* sa,const char* buf,size_t len);

DESCRIPTION
stralloc_copyb makes sure that sa has enough space allocated to hold len bytes. Then it copies the first len bytes from buf into the stralloc.

The data that sa previously contained is overwritten and truncated.

If stralloc_copys runs out of memory, stralloc_copys leaves sa alone and return 0, otherwise it returns 1.

RETURN VALUE
1 for success, 0 on memory allocation failure.